﻿package actionscript
{
	import flash.display.Sprite;
	import gs.*;
	import flash.geom.Point;
	import flash.events.TimerEvent;
	import flash.utils.Timer;
	public class Curva extends Sprite
	{
		private var S1:Point = new Point();
		private var S2:Point = new Point();
		private var S3:Point = new Point();
		private var linea:Sprite = new Sprite();
		var iP1:Point;
		var iP2:Point;
		var iP3:Point;
		
		var d1:Point;
		var d2:Point;
		var d3:Point;
		var t:Timer =new Timer(100);
		
		var color:uint = 0x0000000;
		public function Curva(s1:Point,s2:Point,s3:Point,d1:Point,d2:Point,d3:Point,color:uint = 0x0000000)
		{
			
			S1 = s1;
			S2 = s2;
			S3 = s3;
			iP1 = new Point(S1.x,S1.y);
			iP2 = new Point(S2.x,S2.y);
			iP3 = new Point(S3.x,S3.y);
			this.d1 = d1;
			this.d2 = d2;
			this.d3 = d3;
			this.color = color;
			init();
		}
		private function init()
		{
			addChild(linea);
			
			t.addEventListener(TimerEvent.TIMER, onTimer);
			t.start();
		}
		private function onTimer(e:TimerEvent)
		{
			S1.x = iP1.x + (d1.x * Math.cos(Math.PI*e.currentTarget.currentCount*5/180));
			S1.y = iP1.y + (d1.y * Math.sin(Math.PI*e.currentTarget.currentCount*5/180));
			S2.x = iP2.x + (d2.x * Math.sin(Math.PI*e.currentTarget.currentCount*5/180));
			S2.y = iP2.y + (d2.y * Math.cos(Math.PI*e.currentTarget.currentCount*5/180));
			S3.x = iP3.x + (d3.x * Math.sin(Math.PI*e.currentTarget.currentCount*5/180));
			S3.y = iP3.y + (d3.y * Math.cos(Math.PI*e.currentTarget.currentCount*5/180));
			linea.graphics.lineStyle(1,color);
			linea.graphics.moveTo(S1.x,S1.y);
			linea.graphics.curveTo(S2.x,S2.y,S3.x,S3.y);
			TweenMax.to(linea,10,{alpha:0.1,onComplete:finLineas});
		}
		private function finLineas()
		{
			TweenMax.killTweensOf(linea);
			TweenMax.to(linea,10,{alpha:0,visible:false,onComplete:borraLinea});
			t.removeEventListener(TimerEvent.TIMER, onTimer);
			//this.removeChild(linea);
		}
		private function borraLinea()
		{
			TweenMax.killTweensOf(linea);
			this.removeChild(linea);
		}
	}
	
}